summaryrefslogtreecommitdiffstats
path: root/usr/local
diff options
context:
space:
mode:
Diffstat (limited to 'usr/local')
-rwxr-xr-xusr/local/sbin/ntpdate_sync_once.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/usr/local/sbin/ntpdate_sync_once.sh b/usr/local/sbin/ntpdate_sync_once.sh
new file mode 100755
index 0000000..a7f98a3
--- /dev/null
+++ b/usr/local/sbin/ntpdate_sync_once.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+NOTSYNCED="true"
+
+while [ "$NOTSYNCED" = "true" ]; do
+ ntpdate "0.pfsense.pool.ntp.org"
+ if [ "$?" = "0" ]; then
+ NOTSYNCED="false"
+ fi
+done
OpenPOWER on IntegriCloud